
Redmine - Feature #489

Suggestion: Link a SVN Revision inside a Issue

2007-11-12 09:27 - André Ferrari

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

This modification is Easy and enhances the integration between RedMine and SVN: A new field in the issue that represents

the "Revision Number" from the SVN repository, that when filled creates a link from the issue directly to

the revision.

For example: a Developer fixes a bug, and in the moment he is editing the issue to "fixed" or others status,

he puts the number of the revision from the SVN into this new field. When other developer acess this same issue, he

could see exactly the code written by the person who fixed the issue, because that would be the diff associated with

the revision.

History

#1 - 2007-12-24 14:39 - Ale Muñoz

I'm using redMine 0.6.devel.1023 with a Subversion repository,

and if you type "rXX" on the comments of an issue or

on a wiki page, it will be linked to that revision on the repository

browser.

#2 - 2008-03-21 19:40 - Rocco Stanzione

This can be closed, yeah?

#3 - 2008-03-21 20:11 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Yes :-)
